3
0
Fork 0
forked from mirrors/nixpkgs
nixpkgs/pkgs/development/tools/poetry2nix/update

Ignoring revisions in .git-blame-ignore-revs. Click here to bypass and see the normal blame view.

33 lines
831 B
Plaintext
Raw Normal View History

2019-12-29 16:43:45 +00:00
#!/usr/bin/env bash
2022-04-01 11:01:41 +01:00
set -euo pipefail
2019-12-29 16:43:45 +00:00
pwd=$(pwd)
workdir=$(mktemp -d)
function cleanup {
cd "$pwd"
rm -rf $workdir
}
trap cleanup EXIT
cd "$workdir"
curl -L -s https://github.com/nix-community/poetry2nix/archive/master.tar.gz | tar -xz
mv poetry2nix-master/* .
mkdir build
2020-05-05 21:20:44 +01:00
cp *.* build/
2022-04-01 11:01:41 +01:00
cp -r overrides pkgs hooks bin build/
rm build/shell.nix build/generate.py build/overlay.nix build/flake.* build/check-fmt.nix build/pkgs/poetry/update*
2019-12-29 16:43:45 +00:00
cat > build/README.md << EOF
Dont change these files here, they are maintained at https://github.com/nix-community/poetry2nix
The update procedure is as-follows:
1. Send your change to the upstream poetry2nix repository
2. Get it approved with tests passing
3. Run the update script in pkgs/development/tools/poetry2nix
EOF
rm -rf "$pwd/poetry2nix"
mv build "$pwd/poetry2nix"